# dkim_qi_gettype()

[back to index]

SYNOPSIS

    #include <dkim.h>

    int dkim_qi_gettype(
    	DKIM_QUERYINFO *query
    );

Retrieve from a DKIM_QUERYINFO handle the type to be used in performing the DNS query referenced by `query`.

DESCRIPTION

Called When | `dkim_qi_gettype()` can be called at any time after query information is returned by `dkim_sig_getqueries()`.

ARGUMENTS

Argument | Description
--- | ---
query | A reference to a `DKIM_QUERYINFO` handle.

RETURN VALUES

Value | Description
--- | ---
`-1` | No query type could be determined for this query handle.
otherwise | A DNS resource record type.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2011, 2014, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.